libgnomedb 3.99.7, 2008-12-31

 - Adaptations to Libgda's V4 API corrections
 - Translations:
	- es (Jorge Gonzalez)
	- hu (Gabor Kelemen)

libgnomedb 3.99.6, 2008-10-09

 - Adaptations to Libgda's V4 API changes
 - Translations:
	- es (Jorge Gonzalez)
	- hu (Gabor Kelemen)

libgnomedb 3.99.5, 2008-10-09

 Adaptations to Libgda's V4 API changes, and:
 - minor corrections
 - bug fixes: #552645, #553221
 - Translations:
	- ar (Djihed Afifi)
	- eu (Inaki Larranaga Murgoitio)
	- es (Jorge Gonzalez)
	- fi (Ilkka Tuohela)
	- nb (Kjartan Maraas)

libgnomedb 3.99.3, 2008-07-06

 Adaptations to Libgda's V4 API changes, and:
 - removed support for the GnomeCanvas (now uses exclusively GooCanvas)
 - reworked the login dialog to correctly handle connections which don't need authentication
 - this release is API incompatible with the V3 versions
 - added speficications to create a .MSI file as a Windows installer
 - now uses GtkSourceView 2
 - documentation can now be generated as a PDF
 - bug fixes: #520463
 - Translations:
	- fi (Ilkka Tuohela)
	- sl (Matej Urbančič)
	- es (Jorge Gonzalez)
	- oc (Yannig Marchegay)
	- eu (Inaki Larranaga Murgoitio)
	- hu (Gabor Kelemen)
	- ne (Pawan Chitrakar)
	- ca (Gil Forcada)
	- pt (Duarte Loreto)
	- fr (Claude Paroz)

libgnomedb 3.1.2, 2007-10-24

 - Filtering based on an SQL expression is now possible in the grid and form
   widgets (Vivien Malerba)
 - Bug fixes: #475272, #473583, #480889, #487486, #487311, #487239 (Vivien Malerba, Stanislav Brabec)
 - A few small corrections and improvements
 - Translations:
        - New Occitan (Yannig Marchegay)
	- sv (Daniel Nylander)
	- vi (Clytie Siddall)
	- es (Jorge Gonzalez)
	- fi (Ilkka Tuohela)
	- pt (Duarte Loreto)
	- ca (Gil Forcada)

libgnomedb 3.1.1, 2007-09-02

 - Use libgcrypt instead of openssl (Gustavo R. Montesino)
 - New (experimental) graph widget based on the GooCanvas library (Vivien Malerba)
 - Support automatic graph layout if the GraphViz library is present (Vivien Malerba)
 - WIN32 port functionnal (needs testing, Vivien Malerba)
 - Installation is relocatable (Vivien Malerba)
 - Glade 3.3.x support (Vivien Malerba)
 - New grid-based plugin (Carlos Savoretti)
 - New demos in gnome-db-demo (Vivien Malerba)
 - Many small corrections and improvements
 - Bug fixes: #437212, #426007, #448359 (Claude Paroz, Gustavo R. Montesino, Vivien Malerba)
 - Translations:
	- ar (Djihed Afifi)
	- zh_HK (Chao-Hsiung Liao)
	- zh_TW (Chao-Hsiung Liao)
	- es (Jorge Gonzalez)
	- vi (Clytie Siddall)
	- eu (Inaki Larranaga Murgoitio)

libgnomedb 3.0.0, 2007-04-23

 - fix libgnomedb versioning in gtk-docs (yselkowitz)
 - misc. bug fixes (Armin Burgmeier, Vivien Malerba)
 - Bug fixes: #422979, #423405 (Vivien Malerba)
 - Translations:
	- ca (Gil Forcada)
	- dz (Pema Geyleg)
	- lt (Gintautas Miliauskas)
	- ar (Djihed Afifi)

libgnomedb 2.99.6, 2007-03-23

 - Corrected linker errors when using C++ (Murray Cumming)
 - Spell corrections (Murray Cumming)
 - Code cleanups (Murray Cumming)
 - Data entry widgets improvements (Vivien Malerba)
 - Removed the C# bindings (Murray Cumming)
 - Always install the doc (Thomas Klausner)
 - Lots of minor corrections (Armin Burgmeier, Vivien Malerba, Murray Cumming)
 - Bug fixes: #419063, #390609 (Yselkowitz, Murray Cumming)
 - Translations:
	- new 'dz' translation (Pema Geyleg)
	- ca (Josep Puigdemont i Casamajó)
	- en_GB (David Lodge)
	- sv (Daniel Nylander)
	- vi (Clytie Siddall)

libgnomedb 2.99.5, 2007-02-12

- Updated for libgda 2.99.5.

libgnomedb 2.99.4, 2007-02-12

- The library is no split into separate libgnomedb, libgnomedb-extra, and libgnomedb-graph 
  shared libraries. You must adjust your #include lines appropriately.
  Packagers might want to ensure that previously-installed headers are removed, if possible.
- GnomeDbRawForm:
  - Handle the new "reset" signal from the GdaDataProxy.
  - Don't show a data entry if gnome_db_data_widget_column_hide() has been called.
  (Vivien Malerba)
- GnomeDbBasicForm: Allow the "paramlist" property to be set more than once.
- GnomeDbDataWidget, GnomeDbRawGrid, GnomeDBRawForm: added an "iter_changed" signal.
  (Vivien Malerba)
- GnomeDbRawGrid:
  - Improved column title for parameters restricted by a data model.
  - Hide expander for parameters restricted by a data model.
  (Vivien Malerba)
- GnomeDbDataCellRendererCombo: Added a "show_expander" property.
  (Vivien Malerba)
- Use enum types instead of guint or gulong for flags, matching the 
  conventions used in GTK+, and making the API clearer: GdaQuery, GdaObjectRef
  (Murray Cumming, Openismus)
- Use specific types for property and signal parameter registrations, and use specific signal marshallers.
  This should be more robust, and is needed by language bindings.
  (Murray Cumming, Openismus)
- Generate enum GType registrations for libgnomedb-extra.
  This is needed for language bindings and use of these enums in GValues.
- Improvements to _new() functions for language bindings, such as C++:
  GnomeDbSqlConsole, GnomeDbDbmsUpdateViewer,  GnomeDbErrorDialog, GnomeDbEditor, 
  GnomeDbDataImport, GnomeDbLoginDialog, GnomeDbDsnSpec, GnomeDbGrid, 
  GnomeDbDataSourceSelector, GnomeDbConnectionProperties,  GnomeDBForm.
  (ArminBurgmeir, Openismus)
  GnomeDbDataCellRendererBoolean, GnomeDbDataCellRendererCombo, 
  GnomeDbDataCellRendererInfo, GnomeDbDataCellRendererTextual,
  GnomeDbDataEntryCombo
  (Johannes Schmid, Openismus)
- Adapt to latest glade3 API changes. (Vincent Geddes, bug #400836)
- Correct all remaining installation location conflicts with libgda 1.2.
  (Leonardo Boshell)
- Correct English spellings. (Kraii)


libgnomedb 2.99.3, 2007-01-27

- Build:
  - Now builds with GTK+ 2.8 as well as GTK+ 2.10.
    (Murray Cumming)
  - Now builds with glib 2.8 as well as glib 2.12.
    (Vivien Malerba)
  - Now builds without gconf, libgnomecanvas, or libgnomeui.
  - The graph API is now a separate shared library.
    (Vivien Malerba)
  - Use glade-3.1/3.2 instead of glade 3.0,
    if using glade at all.
    (Vivien Malerba)
  - Install gnome-db-plugin.h
    (Vivien Malerba)
  - Do not install private headers.
    (Murray Cumming)
  - Removed unused utility functions. 
    (Bug #383533, Min Sik Kim)
  - Windows (win32) build improvements.
    (Bug #321663, Yselkowitz) 
  - Do not ignore CFLAGS.
    (Bug #354476, Alex Smith)
  - Use glib-mkenums to create gnome-db-enum-types.h and
    gnome-db-enum-types.c.
    (Bug #129035, Armin Burgmeier)
  - Fixed compiler warnings.
    (Mark Johnson, Bug #366710, Hans de Goede)
- GnomeDbServerOperation.c: Added "opt_header" property.
  (Vivien Malerba)
- Renamed gnome_db_basic_form_show_entries_actions() to 
  gnome_db_basic_form_show_entry_actions().
  (Murray Cumming)
- Renamed GnomeDbmsUpdateViewer to GnomeDbDbmsUpdateViewer.
  (Bug #389191, Murray Cumming)
- GnomeDbDatabaseLogin improvements.
  (Vivien Malerba)
- Picture widgets: Bug fixes.
  (Vivien Malerba)
- GnomeDbTransactionStatus: Warn when the transaction is locked.
  (Vivien Malerba)
- Added construct properties for language bindings.
  (Bug #391514, Johannes Schmid)
- HIG improvements.
  (Jeroen Zwartepoorte)
- Corrected some English strings.
  (Bug #352123 and bug #315612 from Clytie Siddall)

libgnomedb 2.99.2, 2006-12-22
-----------------------------

 - C# bindings corrections (Daniel)
 - Change version to 2.99.x to become 3.0.x when the API/ABI is declared stable (Murray)
 - Lots of corrections and small improvements (Stian, Vivien)
 - Doc. improvements (Vivien)
 - Glade3 support (Daniel)
 - Code cleanups (Vivien)
 - Improved code to make bindings easier (Murray)
 - Improved sample application (Vivien)
 - New plugin to display pictures from BLOB or encoded strings (Vivien)
 - Translations:
	- new Arabic transtation (Djihed Afifi)
	- fi (Ilkka)
	- en_GB (David Lodge)
	- es (Francisco Javier)
	- en_CA (Adam Weinberger)

libgnomedb 1.99.1, 2006-10-26
-----------------------------

 - Possibility to avoid compiling C# bindings (Vivien)
 - Bug fixes (Vivien)
 - Translations:
	- en_GB (David Lodge)
	- fi (Ilkka)

libgnomedb 1.99.0, 2006-10-18
-----------------------------

 - GnomeDb# fixes (Daniel)
 - New gnome-db-demo program to demo widgets and show code (Vivien)
 - Improved documentation about migration from previous versions (Vivien)
 - Many bug fixes and small improvements
 - Translations:
	- en_GB (David Lodge)
	- fi (Ilkka)
	- ca (Josep Puigdemont i Casamajó)
	- ne (Pawan Chitrakar)
	- vi (Clytie)

libgnomedb 1.9.103, 2006-09-03
------------------------------

 - Re-implement the plugin feature for custom GnomeDbDataEntry widgets 
   and GtkCellRenderer objects (Vivien)
 - Better integration with Glade-3 (Daniel Espinosa)
 - Enable table contents modifications in the browser (Carlos)
 - Improved testing program (Vivien)
 - New widget to represent DDL queries in a generic way (from 
   each provider's specifications) (Vivien)
 - Fixed #336982 (Thomas)
 - Bug fixes
 - Translations:
	- new Lithuanian (lt) translation (Gintautas Miliauskas)
	- removed the obsolete no translation (Kjartan Maraas)
	- vi (Clytie)
	- fi (Ilkka)
	- zh_HK, zh_TW (Chao-Hsiung Liao)
	- eu (Iñaki)
	- nb (Kjartan Maraas)
	- es (Francisco Javier)
	- fr (Marc-André Lureau)
	- ru (Nickolay)
	- de (Hendrik)

libgnomedb 1.9.102, 2006-03-24
------------------------------

 - More respectful of standard naming conventions (Juan Manuel)
 - Moved all the objects not depending on GTK+ to Libgda (Vivien)
 - Improved tests (Vivien)
 - Fixed #327798 (Thierry)
 - Login widget now uses usaename and password when provided in the
   configuration
 - Grammar corrections (Thierry)
 - Updated sample application
 - Bug fixes and various improvements
 - Translations:
	- new Chinese (Taiwan) translation (Chao-Hsiung)
	- es (Francisco Javier)
	- fi (Ilkka)
	- nl (Vincent)
	- cs (Stanislav)
	- vi (Clytie)
	- en_CA (Adam)
	- eu (Iñaki)
	- zh_TW (Chao-Hsiung)
	- de (Frank)
	- pt_BR (Raphael)

libgnomedb 1.9.100, 2005-10-13
------------------------------

 - Fixed #313204 (Rodrigo)
 - Fixed #314733 (Cygwin ports maintainer)
 - Require libgda >= 1.9.99 (Juan Manuel)
 - Updated translations:
        - es (Francisco Javier)
        - sv (Christian)

libgnomedb 1.9.99, 2005-09-26
-----------------------------

 - Compilation fixes (Rodrigo, Stanislav)
 - Added Mono bindings from GTK# (Dan)
 - Install plugins in $libdir (Stanislav)
 - Added SQL console menu item to browser application (Vivien)
 - Fixed row numbers status messages in browser application (Vivien)
 - Fixed compilations flags and libs for sample application (Juan Manuel)
 - Extended GnomeDbSelector API (Vivien)
 - Adapted to libgda-1.9.99 API changes (Vivien, Rodrigo)
 - Updated translations:
        - en_CA (Adam)
        - eu (Iñaki)
        - ne (Pawan)
	- vi (Clytie)

libgnomedb 1.3.91, 2005-08-10
-----------------------------

 - Depend on libgda >= 1.3.90 (Rodrigo)

libgnomedb 1.3.90, 2005-08-07
-----------------------------

 - Removed redundant gnome_db_server_stringify_value (Vivien)
 - Adapted to changes in libgda's GdaValue (Vivien)
 - Support more numerical types in GnomeDbHandlerNumerical (Vivien)
 - Renamed GnomeDbGrid's "create_popup_menu" signal to "populate_popup" (Vivien)
 - GnomeDbTableField API cleanups and improvements (Vivien)
 - Extended DTD attributes for GNOME_DB_FIELD tag (Vivien)
 - Added support for browsing through large data sets in the browser
   application (Vivien)
 - Clever use of AUTO_INCREMENT's in result sets (Vivien)
 - Fixed #310396 (M Wood)
 - Compilation fixes for gtk-doc generated documentation (Andreas)
 - Fixed #300082 (Kristof)
 - Changed all type declarations to GNOME_DB_TYPE_* (Vivien)
 - Make use of the better libgda error reporting to report better messages (Vivien)
 - Improved SQL parsing and data dictionary (Vivien)
 - Updated translations:
        - fi (Ilkka)
	- nb (Kjartan)
	- no (Kjartan)
        - vi (Clytie)

libgnomedb 1.3.4, 2005-07-08
----------------------------

 - Use libgnomedb-2.0 for the pkg-config files (Rodrigo)
 - Fixed wrongly static functions in gnome-db-qf-value.[ch] (Rodrigo)
 - Use GType instead of guint for GObject types (Andreas)
 - Compilation fixes (Rodrigo)
 - Improved boolean data type handler (Vivien)
 - Replace DSN string entry with list of widgets for all provider parameters (Vivien)
 - Added GnomeDbDsnSpec widget (Vivien)

libgnomedb 1.3.3, 2005-06-06
----------------------------

 - Changed some menu strings to match similar ones in other menus (Rodrigo)

libgnomedb 1.3.2, 2005-06-01
----------------------------

 - Fixed several bugs when refreshing data models (Vivien)
 - Allow multiple selections in the grid widget (Vivien)
 - Added GnomeDbQfAgg object for aggregate query fields (Vivien)
 - Added aggregates parsing in query parsing code (Vivien)
 - Load data asynchromously and by chunks of rows in data proxies (Vivien)
 - Removed (unused) Bonobo dependencies (Vivien)
 - Use GtkAbout instead of GnomeAbout (Vivien)
 - Support for data type synonyms (Vivien)
 - Removed gnome-db-config API, now gda-config supports all we need (Vivien)
 - Updated to newest GtkSourceView API for the editor widget (Vivien)
 - API documentation (Vivien)
 - Fixed gtk-doc generation (Rodrigo)
 - Fixed #168937 (Adam)
 - Updated translations:
        - rw (Steve)

libgnomedb 1.3.1, 2005-03-21
----------------------------

 - Use default libgnomedb dictionary when using NULL GnomeDbDict
   objects (Vivien)
 - Added 'Info' button to each GnomeDbGrid entry (Vivien)
 - Improved GnomeDbDataWidget (Vivien)
 - Simplified GnomeDbGrid widget (Vivien)
 - Fixed reverse columns bug in GnomeDbGrid (Vivien)
 - Fixed title displaying in GnomeDbGrid (Vivien)
 - Fixed SQL rendering bug in GnomeDbCondition (Vivien)
 - Fixed date handling problems (Vivien)
 - Added sample application (Vivien)
 - Use libgnomedb*-3 as library names, for parallel installation (Rodrigo)
 - Fixed #166529 (Vivien)
 - Adapted to GdaDataModelColumn* renaming (Álvaro)
 - Updated translations:
        - de (Frank)
        - en_CA (Adam)
	- en_GB (David)
	- it (Alessio)
	- pt_BR (Raphael)

libgnomedb 1.2.2, 2005-06-14
----------------------------

 - Fixed typo in GnomeDbList class signal creation (Mike Kestner)

libgnomedb 1.2.1, 2005-03-03
----------------------------

 - Renumber rows on deletion for GtkTreeModel's (Álvaro)

libgnomedb 1.3.0, 2005-02-07
----------------------------

 - Merged with libmergeant, lots of removals/additions (Vivien)
 - Updated translations:
        - de (Frank)

libgnomedb 1.2.0, 2004-12-28
----------------------------

 - Merged RH spec changes (Rodrigo)
 - Updated translations:
        - ka (Metin)

libgnomedb 1.1.99, 2004-10-10
-----------------------------

 - Improved autotools setup (julio, rodrigo)
 - Fixed #150791 (gustavo)
 - Updated documentation for .devhelp book support (daniel)
 - Improved new data source wizard interface (rodrigo)
 - Install headers in versioned directories (rodrigo)
 - Use GtkFileChooser when available (rodrigo)
 - Updated translations:
        - en_CA (adam)
        - fi (tommi)
	- it (alessio)
	- nb (kjartan)
	- sq (laurent)
	- uk (maxim)

libgnomedb 1.0.4, 2004-04-18
----------------------------

 - Fixed parameter mismatch in GnomeDbCombo API (rodrigo)
 - Added missing implementation for gnome_db_config_get_component_data_model (laurent)
 - Fixed desktop icon location (julio)
 - Fixed gtk-doc comments (stephane)
 - Removed missing files in spec file (rodrigo)
 - Make sure the GUI doesnt allow data source names with spaces (rodrigo)
 - Only build documentation if gtk-doc is enabled (rodrigo)
 - Updated translations:
        - ca (jordi)
        - cs (mitr)
	- de (christian)
	- en_CA (adam)
	- en_GB (dave)
	- es (francisco)
	- fi (tvainika)
        - ga (alastairmck)
	- hr (rsedak)
	- hu (andras)
	- id (mohammad)
	- it (algol)
	- nl (vincent)
        - no (kjartan)
	- pt_BR (evandro, gustavo)
	- sr@Latin (danilo)

libgnomedb 1.0.3, 2004-01-16
----------------------------

 - Fixed sorting in grid widget (marius)
 - Fixed selection signal emission in grid widget (rodrigo)
 - Fixed libglade module compilation problems (rodrigo)
 - Fixed compilation problems on Debian (jdassen)
 - Use a grid instead of a list in form widget (jon)
 - Updated translations:
        - ja (aihana)
        - nl (adrighem)

libgnomedb 1.0.2, 2003-11-30
----------------------------

 - Avoid creating data sources with duplicating names in GnomeDbDsnConfigDruid
   widget (laurent)
 - Fixes for 64bit platforms (fredreric)
 - Implemented missing gnome_db_combo_set_model (gonzalo)
 - Updated translations:
        - cs (miroslav)
	- el (pkst)
	- fi (pauli)
	- nl (vincent)
	- pt (duarte)
	- sr (danilo)
        - sw (christian)

libgnomedb 1.0.1, 2003-10-13
----------------------------

 - Fixed problems with gtksourceview compilation (rodrigo)
 - Made labels non-selectable in gray bar widget (álvaro)
 - Fill background color with GTK style color in gray bar (álvaro)
 - Use GTK default text color in grid titles for
   gnome-database-properties (rodrigo)
 - Dont g_free GtkWidget's in gray bar widget finalization (rodrigo)
 - Updated translations:
        - sk (stanislav)

libgnomedb 1.0.0, 2003-09-14
----------------------------

 - Fixed #122108 - generating .server is not flexible (tagoh)

libgnomedb 0.99.0, 2003-09-10
-----------------------------

 - Added a (configurable) icon to GnomeDbGrayBar (apg)
 - Use icons for gnome-database-properties tabs (rodrigo)
 - Removed ugly BUILD_WITH_GNOME in public headers (daniel)
 - Updated translations:
        - ca (jordim)
        - cs (mitr)
	- de (cneumair)
        - es (pablodc)
        - fi (pvirtane)
	- fr (redfox)
	- no (kmaraas)
	- pl (aflinta)
	- pt (dnloreto)
	- sl (minmax)
        - sr (danilo)
	- sv (menthos)

libgnomedb 0.91.0, 2003-08-06
-----------------------------

 - Extended GnomeDbLogin API (rodrigo)
 - Added a 'Create DSN' button on the GnomeDbLogin widget (rodrigo)
 - Redid UI for database properties configuration applet (rodrigo)
 - Fixed #108023 (rodrigo)
 - Some HIG-ification (apg, rodrigo)
 - Added query builder widget, to be used in Gnumeric and Abiword (rodrigo)
 - Extended GnomeDbEditor API (daniel)
 - More API documentation (rodrigo)
 - Updated translations:
        - cs (mitr)
	- de (cneumair)
	- es (pablodc)
	- nl (adrighem)
	- pl (aflinta)
	- pt (dnloreto)
        - sv (menthos)

libgnomedb 0.90.0, 2003-07-03
-----------------------------

 - Added missing entry points to GnomeDbLoginDialog API (rodrigo)
 - Removed non-working MIME components (rodrigo)
 - Added MIME actions component for SQL and connection files (rodrigo)
 - Removed dependencies on GTK+ 2.2 (rodrigo)
 - Added missing files to spec file (adam)
 - Added preloading of GConf keys (rodrigo)
 - Catched missing translatable strings (baddog)
 - HIG-ify the error dialog widget (rodrigo)
 - Updated translations:
        - be (dmitrym)
        - cs (mitr)
	- es (pablodc)
        - ml (karunakar)
        - nl (vincent)
	- pt (dnloreto)
	- ru (frob)
        - sv (menthos)
        - zh_TW (baddog)

libgnomedb 0.12.2, 2003-06-13
-----------------------------

 - Backported patches from HEAD to remove dependency on GTK+ 2.2.0 (rodrigo, daniel)
 - Fixed list of libglade module files (daniel)

libgnomedb 0.12.1, 2003-06-08
-----------------------------

 - Added missing static libraries to the spec file (adam)
 - Fixed typo in configure.in (redfox)
 - Simplified column titles in data sources and providers config dialog (rodrigo)
 - Added missing CFLAGS for libglade module (rodrigo)
 - Fixed soname numbering (rodrigo)
 - Updated translations:
        - nl (adrighem)
        - sr (danilo)
	- ta (baddog)

libgnomedb 0.12, 2003-05-28
---------------------------

 - Added new stock icons (apg)
 - HIG-ified the login dialog widget (apg)
 - Added support for GTK/libgda-only compilation (dmitrym)
 - Extended GnomeDbForm API (rodrigo)
 - Updated translations:
        - cs (mitr)
	- de (cneumair)
	- es (pablodc)
        - fa (roozbeh)
	- nl (adrighem)
	- pt (dnloreto)
	- pt_BR (gdvieira)
	- sv (menthos)

libgnomedb 0.11, 2003-03-08
---------------------------

 - Marked missing strings in .keys file for translation (cneumair)
 - Added new stock icons for COMMIT and ROLLBACK (rodrigo)
 - Fixed #106121 (julio)
 - Fixed #106122 (julio)
 - Fixed #106402 (rodrigo)
 - HIG-ify the gray bar widget (apg)
 - Fixed #106402 (tagoh)
 - Spec file fixes (yanko)
 - Updated translations:
	- cs (mitr)
	- de (cneumair)
	- es (pablodc)
	- nl (adrighem)
	- pl (chyla)
	- pt (dnloreto)
	- pt_BR (gdvieira)
	- sv (menthos)
	- uk (rasta)

libgnomedb 0.10, 2003-01-27
---------------------------

 - Added --disable-gtk-doc argument to configure (rodrigo)
 - Fixed .server file paths (rodrigo)
 - Fixed weird size of provider list in configuration dialog (rodrigo)
 - Fixed modal dialog on 'save as..' grid's menu item and made the code
   actually ask the user if he wants to overwrite existing files (rodrigo)
 - Re-Added GnomeDbIconList from the 1.4 version (rodrigo)
 - Implemented session management (rodrigo)
 - Replaced GnomeDbSqlEditor widget with a more generic GnomeDbEditor,
   to support many languages (rodrigo)
 - Removed obsolete config.h files all over (gonzalo)
 - Fixed alignment for grid's cells (rodrigo)
 - Improved look of error and login dialogs (rodrigo)
 - Remember values between GnomeDbDsnConfigDruid's pages (rodrigo)
 - Many improvements on GnomeDbGrid (rodrigo)
 - Updated translations:
        - de (cneumair)
	- es (pablodc)
	- it (algol)
	- no (kmaraas)
	- pt_BR (evandrofg)
	- sl (minmax)
	- sv (menthos)

libgnomedb 0.9, 2002-12-10
--------------------------

 - Splitted stock icons initialization from the main library init function,
   to have the GnomeDbLogin/GnomeDbLoginDialog widgets work correctly
   in Glade (rodrigo)
 - Updated translations:
        - be (dmitrym)
        - cs (Michal Bukovjan)
	- de (cneumair)
	- es (pablodc)
	- ms (sebol)
	- nl (adrighem)
	- pt_BR (gdvieira)
        - sv (menthos)

libgnomedb 0.8.199, 2002-10-23
------------------------------

 - Fixed leaks in configuration API (gonzalo)
 - i18n/UTF8 fixes (carlos)
 - Fixed ugliness in error dialog widget (rodrigo)
 - Added OMF setup (rodrigo, frederic)
 - Improved stock icons API, to allow direct access to the stock icons (rodrigo)
 - Fixed initial selection problem in option menus (rodrigo)
 - Fixed #90058 (gonzalo)
 - New stock icons (vivien)
 - Fixed #95959 (rodrigo)
 - Updated translations:
        - cs (utx)
        - da (olau)
        - de (cneumair)
        - ms (sebol)
	- pl (chyla)
	- pt_BR (gdvieira)
	- ru (dmitrym)
	- sv (menthos)

libgnomedb 0.8.193, 2002-09-09
------------------------------

 - Added optional title bar to GnomeDbGrid widget (rodrigo)
 - Added 'Test DSN' option on the gnome-database-properties applet (rodrigo)
 - Added GnomeDbConnectionProperties widget from GNOME-DB (rodrigo)
 - Fixed spec files (ben)
 - Updated translations:
        - da (olau)
        - de (chrisime, cneumair)
        - es (pablodc)
        - no (kmaraas)
        - pl (chyla)
        - pt (dnloreto)
        - pt_BR (gdvieira)
        - sv (menthos)
        - vi (pablo)
        - zh_CN (carton)

libgnomedb 0.8.192, 2002-07-08
------------------------------

 - Fixed parallel installation of pixmaps (tagoh)
 - Fixed parallel installation of Bonobo components (tagoh)
 - Fixed schema files for translation (rodrigo)
 - Added control center applet for database connections config (rodrigo)
 - Extended GnomeDbGrid API (rodrigo)
 - Allow edition of passwords associated with data sources (rodrigo)
 - Small compilation fixes (damon)
 - New & improved GnomeDbBrowser widget (rodrigo, gonzalo)
 - Fixed English sentences (kmaraas)
 - Fixed crash when exiting gnome-db-components (gonzalo)
 - Added gnome_db_config API based on Gconf and synchronized with the non-GConf
   API in libgda (gonzalo)
 - Fixed displaying of errors in GnomeDbError widget (gonzalo)
 - Updated translations:
        - da (olau)
        - es (pablodc)
        - ko (cwryu)
        - no (kmaraas)
        - pl (chyla)
        - pt (dnloreto)
        - sk (stano)
        - sl (minmax)
        - sv (menthos)

libgnomedb 0.8.191, 2002-05-24
------------------------------

 - Fixed memory leak in model management (gonzalo)
 - Moved database: monikers from gnome-db (rodrigo)
 - Updated translations:
        - da (olau)
   	- fr (redfox)
	- pt (dnloreto)
	- vi (pablo)

libgnomedb 0.8.190, 2002-05-04
------------------------------

 - Fixed docs building (gonzalo)
 - I18N fixes (chyla)
 - New stock icons (apg)
 - Fixed GnomeDbWindow creation (murrayc)
 - Started GnomeVFS database: method (rodrigo)
 - Updated translations:
    	- fr (cfergeau)
	- ko (cwryu)
	- ms (sebol)
	- no (kmaraas)
	- pl (chyla)
	- pt (dnloreto)
	- sk (stano)
	- sl (minmax)
	- sv (menthos)
	- tr (pablo)
	- vi (pablo)

libgnomedb 0.8.105, 2002-03-26
------------------------------

 - Improved Yes/No dialog (rodrigo)
 - Fixed reference problems with BonoboWidget's (rodrigo)
 - Extended GnomeDbBrowser API (rodrigo)
 - Fixed selections in GnomeDbGrid and GnomeDbList (rodrigo)
 - Made GnomeDbGrid display BOOLEAN values as check boxes (rodrigo)
 - Display numbers correctly in GnomeDbGrid (rodrigo)
 - Use check buttons for BOOLEAN values in GnomeDbForm (rodrigo)
 - Added basic support for VIEWS in GnomeDbBrowser (rodrigo)
 - Fixed displaying of column titles in tree models (gonzalo)
 - Added 'Save us' menu item to the popup menu for GnomeDbGrid,
   which allows to save the displayed data to different formats,
   such as comma or tab-separated files, XML, etc (rodrigo)
 - New icons (apg)
 - New GnomeDbSqlEditor widget, with syntax hightlighting, multiple
   command support, etc (daniel)
 - Updated translations:
        - de (chrisime)
        - no (kmaraas)
        - pl (chyla)
        - ru (frob)
        - sk (stano)

libgnomedb 0.8.104, 2002-03-07
------------------------------

 - Added support for aggregates and triggers in GnomeDbBrowser (rodrigo)
 - Some i18n fixes in the code (kmaraas)
 - Fixed Bonobo main loop problems (rodrigo)
 - Extended GnomeDbWindow API (rodrigo)
 - Started GnomeDbReportEditor widget (rodrigo)
 - Made properties work for GnomeDbControl (rodrigo)
 - Added new GnomeDbForm widget, for navigating recordsets (rodrigo)
 - Added popup menu to GnomeDbGrid widget (rodrigo)
 - Use stock icons for all buttons in dialog windows (rodrigo)
 - Reparent correctly all dialog windows (rodrigo)
 - Install our stock icons with the rest of GTK/GNOME's (rodrigo)
 - New spec files (chris)
 - Fixed creation of connection string in config druid (rodrigo)
 - Updated translations:
 	- da (olau)
	- de (mawarkus)
	- nl (adrighem)
 	- no (kmaraas)
	- pl (chyla)
	- pt (dnloreto)
	- ru (frob)
	- sk (stano)
	- sl (minmax)
	- sv (menthos)
	- tr (gorkem)
	- uk (rasta)

libgnomedb 0.8.103, 2002-02-10
------------------------------

 - Added GnomeDbDataSourceSelector widget (rodrigo)
 - Added GnomeDbProviderSelector widget (rodrigo)
 - Use GnomeDbDataSourceSelector and
   GnomeDbProviderSelector where appropriate (rodrigo)
 - Updated translations:
 	- sk (stano)
	- da (olau)
	- ms (sebol)
	- pt (dnloreto)
	- no (kmaraas)


libgnomedb 0.8.102, 2002-01-30
------------------------------

 - re-added GnomeDbCombo widget from stable branch (rodrigo)
 - added libglade module (rodrigo)
 - added more API documentation (rodrigo)
 - warning-free compilation (gonzalo)
 - improved grid widget (rodrigo)
 - made GnomeDbDsnConfigDruid work (rodrigo)
 - made GnomeDbDsnConfig work (rodrigo)
 - updated translations:
 	- no (kmaraas)
	- ms (sebol)
	- sk (stano)
	- sv (menthos)
	- zh_CN (lark)


libgnomedb 0.8.101, 2002-01-13
------------------------------

 - made all widgets support GParamSpec's, so that we can easily integrate
   them into Glade/libglade (Rodrigo)
 - extended API documentation (Rodrigo)
 - Updated translations:
 	- pt (dnloreto)
	- sk (stano)
	- sv (menthos)


libgnomedb 0.8.100, 2002-01-06
------------------------------

 - added support for all new schemas to GnomeDbBrowser widget,
   and made the detail work for tables (Rodrigo)
 - UI and feature improvements in GnomeDbGrid, GnomeDbList,
   GnomeDbLogin/Dialog (Rodrigo)
